Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 543644 - Last rites: sys-devel/dragonegg
Summary: Last rites: sys-devel/dragonegg
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard: Pending Removal: 2015-09-24
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2015-03-17 20:47 UTC by Toralf Förster
Modified: 2015-09-24 09:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge log (sys-devel-dragonegg-3.6.0-20150317-201849.log,4.07 KB, text/plain)
2015-03-17 20:47 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2015-03-17 20:47:54 UTC
Created attachment 399144 [details]
emerge log

These are the packages that would be merged, in reverse order:

Calculating dependencies  .... done!
[ebuild  N     ] sys-devel/dragonegg-3.6.0  USE="{-test}" 

>>> Verifying ebuild manifests
>>> Running pre-merge checks for sys-devel/dragonegg-3.6.0
>>> Jobs: 0 of 1 complete, 1 running                Load avg: 5.27, 5.26, 5.00
>>> Emerging (1 of 1) sys-devel/dragonegg-3.6.0::gentoo
>>> Jobs: 0 of 1 complete, 1 running                Load avg: 5.27, 5.26, 5.00
>>> Failed to emerge sys-devel/dragonegg-3.6.0, Log file:
>>> Jobs: 0 of 1 complete, 1 running                Load avg: 5.25, 5.26, 5.00
>>>  '/var/log/portage/sys-devel:dragonegg-3.6.0:20150317-201849.log'
>>> Jobs: 0 of 1 complete, 1 running                Load avg: 5.25, 5.26, 5.00
>>> Jobs: 0 of 1 complete, 1 running, 1 failed      Load avg: 5.25, 5.26, 5.00
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 5.25, 5.26, 5.00

 * Package:    sys-devel/dragonegg-3.6.0
 * Repository: gentoo
 * Maintainer: voyageur@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking dragonegg-3.6.0.src.tar.xz to /var/tmp/portage/sys-devel/dragonegg-3.6.0/work
>>> Source unpacked in /var/tmp/portage/sys-devel/dragonegg-3.6.0/work
>>> Preparing source in /var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src ...
make -j1 CC=x86_64-pc-linux-gnu-gcc GCC=x86_64-pc-linux-gnu-gcc CXX=x86_64-pc-linux-gnu-g++ VERBOSE=1 
x86_64-pc-linux-gnu-gcc --version > /dev/null
llvm-config --version > /dev/null
Compiling utils/TargetInfo.cpp
x86_64-pc-linux-gnu-g++ -c \
 -I/usr/include  -DNDEBUG -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -fno-rtti -MD -MP -DIN_GCC -DLLVM_VERSION=\"3.6.0\" -DTARGET_TRIPLE=\"x86_64-pc-linux-gnu\" -DGCC_MAJOR=4 -DGCC_MINOR=8 -DGCC_MICRO=3 -I/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/include -isystem/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/plugin/include -DENABLE_BUILD_WITH_CXX -march=native -O2 -pipe -Wall -Wextra -fvisibility=hidden -I/usr/include  -DNDEBUG -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS   -std=c++11 -fvisibility-inlines-hidden -fno-exceptions -fPIC -ffunction-sections -fdata-sections -Wcast-qual /var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/utils/TargetInfo.cpp
Linking TargetInfo
x86_64-pc-linux-gnu-g++ -o TargetInfo TargetInfo.o \
-lLLVMSupport -lz -lpthread -lffi -lcurses -ldl -lm  \
-L/usr/lib64  -Wl,-O1 -Wl,--as-needed
Compiling Aliasing.cpp
x86_64-pc-linux-gnu-g++ -c -I/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/include/x86 -I/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/include/linux  -I/usr/include  -DNDEBUG -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -fno-rtti -MD -MP -DIN_GCC -DLLVM_VERSION=\"3.6.0\" -DTARGET_TRIPLE=\"x86_64-pc-linux-gnu\" -DGCC_MAJOR=4 -DGCC_MINOR=8 -DGCC_MICRO=3 -I/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/include -isystem/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/plugin/include -DENABLE_BUILD_WITH_CXX -march=native -O2 -pipe -Wall -Wextra -fvisibility=hidden -I/usr/include  -DNDEBUG -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS   -std=c++11 -fvisibility-inlines-hidden -fno-exceptions -fPIC -ffunction-sections -fdata-sections -Wcast-qual /var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/src/Aliasing.cpp
/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/src/Aliasing.cpp: In function ‘llvm::MDNode* describeAliasSet(tree)’:
/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src/src/Aliasing.cpp:140:16: error: ‘class llvm::MDNode’ has no member named ‘replaceAllUsesWith’
       LeafTag->replaceAllUsesWith(getTBAARoot());
                ^
Makefile:140: recipe for target 'Aliasing.o' failed
make: *** [Aliasing.o] Error 1
 * ERROR: sys-devel/dragonegg-3.6.0::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=sys-devel/dragonegg-3.6.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/dragonegg-3.6.0::gentoo'`.
 * The complete build log is located at '/var/log/portage/sys-devel:dragonegg-3.6.0:20150317-201849.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/sys-devel/dragonegg-3.6.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/dragonegg-3.6.0/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src'
 * S: '/var/tmp/portage/sys-devel/dragonegg-3.6.0/work/dragonegg-3.6.0.src'


This is an amd64 unstable chroot image at a hardened host acting as a tinderbox.
The log is stored in amd64-hardened-unstable_20150315//var/log/portage/_emerge_20150317-211855.log
quick search: https://bugs.gentoo.org/buglist.cgi?quicksearch=sys-devel%2Fdragonegg


Portage 2.2.18 (python 2.7.9-final-0, hardened/linux/amd64, gcc-4.8.3, glibc-2.20-r2, 3.19.1-hardened x86_64)
=================================================================
System uname: Linux-3.19.1-hardened-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16164756 total,   1872884 free
KiB Swap:   16777212 total,  16754728 free
Timestamp of repository gentoo: Tue, 17 Mar 2015 15:00:01 +0000
sh bash 4.3_p33-r2
ld GNU ld (Gentoo 2.25 p1.0) 2.25
app-shells/bash:          4.3_p33-r2::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r2::gentoo, 3.3.5-r1::gentoo
dev-util/cmake:           3.1.0::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.11::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25::gentoo
sys-devel/gcc:            4.8.3::gentoo, 4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner --tree --quiet-build --jobs 1"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl aes-ni alsa amd64 apache2 avx avx2 berkdb bzip2 cairo cli corefonts cracklib crypt cups cxx dbus dnssec dot dri drmkms dvd ecc extraengine ffmpeg fontconfig fortran fpm gd gdbm gif gtk gudev gui hardened iconv icu isag jadetex jpeg justify kvm lapack libav libkms libvirtd logrotate macvtap mbox minizip mmx modules multilib mysql ncurses nls nptl ogg opengl openmp openssl pam pax_kernel pcre pcre16 plasma png policykit python qemu qt3support readline sdl session spice sqlite sse sse2 sse4 sse4_1 sse4_2 ssh-askpass ssl ssse3 svg tcpd theora thinkpad threads tiff tk tls truetype uml unicode urandom usb usbredir uxa v4l v4l2 video vorbis xa xattr xkb xmp xscreensaver xslt xtpax xvfb xvmc zenmap zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter -console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Martin von Gagern 2015-03-20 23:58:39 UTC
This was introduced by LLVM commit 223802 and at least that compile time error is fixed by LLVM commit 226495 which isn't included in the 3.6 branch. This issue has also been reported upstream, as PR22925 there. Unfortunately I can't edit the "See Also" field.

See also:
https://github.com/llvm-mirror/llvm/commit/dad20b2ae2544708d6a33abdb9bddd0a
https://github.com/llvm-mirror/llvm/commit/00a658dcdc560e793939fdc08d34a52f
https://llvm.org/bugs/show_bug.cgi?id=21532
https://llvm.org/bugs/show_bug.cgi?id=22925

The way things are, I'd say dragonegg 3.6.0 won't work with LLVM 3.6.0 unless someone writes a nice patch. I guess I'll mask both locally for the time being.
Comment 2 Christoph Junghans gentoo-dev 2015-04-03 17:02:03 UTC
+  03 Apr 2015; Christoph Junghans <ottxor@gentoo.org> package.mask:
+  >= dragonegg-3.6 fails to build (bug #543644)
+
Comment 3 Bernard Cafarelli gentoo-dev 2015-05-18 15:03:38 UTC
Thanks for the research (and mask), looks like upstream is also abandoning it:
http://www.phoronix.com/scan.php?page=news_item&px=DragonEgg-Drop-LLVM
Comment 4 Bernard Cafarelli gentoo-dev 2015-08-24 15:44:20 UTC
As 3.6.x versions do not compile and upstream will not release 3.7.x versions, it is time to drop this package from tree

# Bernard Cafarelli <voyageur@gentoo.org> (24 Aug 2015)
# Masked for removal in 30 days. Abandoned upstream,
# last version does not compile. Bug #543644
sys-devel/dragonegg